<?php 

	
	if ( isset($_POST["type"]) ) {
		
		$type = $_POST["type"];
		
		switch ($type) {
		case "monostable":
			if ( isset($_POST["Period"]) & isset($_POST["R1"]) ) {
				$Period = floatval( $_POST["Period"]);
				$R1 = floatval( $_POST["R1"]);
				$C = $Period / (1.442999 * $R1);
				// Scale to uF
				$C = 1E6 * $C;
			}
			elseif ( isset($_POST["C"]) & isset($_POST["R1"]) ) {
				$C = floatval( $_POST["C"] );
				$R1 = floatval( $_POST["R1"] );
				$Period = 1.442999 * $R1 * $C;
			}
			elseif ( isset($_POST["Period"]) & isset($_POST["C"]) ) {
				$Period = floatval( $_POST["Period"] );
				$C = floatval( $_POST["C"] );
				$R1 = $Period / (1.442999 * $C);
			}
			break;
			
		case "astable":
			$CA = floatval( $_POST["CA"] );
			$CA = $CA * 1E-3;
			$RA = floatval( $_POST["RA"] );
			$RB = floatval( $_POST["RB"] );
			
			$TL = 0.693 * $RB * $CA;
			$TH = 0.693 * ($RA + $RB) * $CA;
			$T = 0.693 * ($RA + 2.0 * $RB) * $CA;
			
			$PH = ($TH / ($TH + $TL)) * 100.0;
			$freq = 1 / $T;
			break;
		}
	}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Find Component Values for a 555 Timer</title>
  
  
<script language="javascript" type="text/javascript">
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g,"");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/,"");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/,"");
	}	
	function isNumeric( value ) {
		if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
			return false;
		}
		return true;
	}

	function onLoad() {
		document.getElementById('submitMono').disabled = true;
		document.getElementById('submitAstable').disabled = true;
		document.getElementById('Period').focus();
	}
	
	function ClearAllMono() {
		document.getElementById("Period").value = "";
		document.getElementById("R1").value = "";
		document.getElementById("C").value = "";
		document.getElementById("C").value = "";
		document.getElementById("Period").focus();
	}

	function validateMono() {
		var Period = document.getElementById('Period');
		var R1 = document.getElementById('R1');
		var C = document.getElementById('C');
		if ( !isNumeric( Period.value ) ) {
			alert( "A Non-Numeric value was entered for Period: " + Period.value );
			Period.focus();
			return false;
		}
		if ( !isNumeric( R1.value ) ) {
			alert( "A Non-Numeric value was entered for R1: " + R1.value );
			R1.focus();
			return false;
		}
		if ( !isNumeric( C.value ) ) {
			alert( "A Non-Numeric value was entered for C: " + C.value );
			C.focus();
			return false;
		}
		return true;
	}

	function checkEnableMono() {
		var Period = trim(document.getElementById('Period').value);
		var R1 = trim(document.getElementById('R1').value);
		var C = trim(document.getElementById('C').value);
		
		document.getElementById('Period').value = Period;
		document.getElementById('R1').value = R1;
		document.getElementById('C').value = C;
		
		if ( (Period.length > 0 & R1.length > 0) | 
			 (R1.length > 0 & C.length > 0) | 
			 (Period.length > 0 & C.length > 0) ) {
			 document.getElementById('submitMono').disabled = false;
		} 
		else {
			 document.getElementById('submitMono').disabled = true;
		}
	}
	
	
	function ClearAllAstable() {
		document.getElementById("CA").value = "";
		document.getElementById("RA").value = "";
		document.getElementById("RB").value = "";
		document.getElementById("submitAstable").focus();
	}

	function checkEnableAstable() {
		var RA = trim(document.getElementById('RA').value);
		var RB = trim(document.getElementById('RB').value);
		var CA = trim(document.getElementById('CA').value);
		
		document.getElementById('RA').value = RA;
		document.getElementById('RB').value = RB;
		document.getElementById('CA').value = CA;
		
		if ( CA.length > 0 & 
			 RA.length > 0 &
			 RB.length > 0 ) {
			 document.getElementById('submitAstable').disabled = false;
		} 
		else {
			 document.getElementById('submitAstable').disabled = true;
		}
	}
	
	function validateAstable() {
		var RA = document.getElementById('RA');
		var RB = document.getElementById('RB');
		var CA = document.getElementById('CA');
		if ( !isNumeric( RA.value ) ) {
			alert( "A Non-Numeric value was entered for RA: " + RA.value );
			RA.focus();
			return false;
		}
		if ( !isNumeric( RB.value ) ) {
			alert( "A Non-Numeric value was entered for RB: " + RB.value );
			RB.focus();
			return false;
		}
		if ( !isNumeric( CA.value ) ) {
			alert( "A Non-Numeric value was entered for CA: " + CA.value );
			CA.focus();
			return false;
		}
		return true;
	}

</script>

</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Find Component Values for a 555 Timer</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Find Component Values for a 555 Timer</h1>

		<a href="http://www.national.com/mpf/LM/LM555.html" target="_blank"><img src="images/555-Timer-Pinout.jpg" /></a>
		<p class="caption">555 Timer (or LM555), the ubiquitous Timer IC</p>

		<h4>Monostable or One-shot Timer</h4>

			<h5>Choose Two Values and Find the Third Value</h5>
			
			<p>
			Referring to <a href="http://www.ti.com/lit/ds/symlink/lm555.pdf" target="_blank">555 Datasheet</a>:
			<ul>
				<li>Pulse Period is defined as: t = 1.1 * R<sub>A</sub> * C</li>
				<li>Normal R<sub>A</sub> values are between 1 K and 10 Meg Ohm.</li>
				<li>Normal C values are between 1 nanofarad and 100&micro;F.
			<ul>
			
			<form name="calcMonostable" action="/hamcalc/555calculator.php" method="post" onsubmit="return validateMono()">
			<input type="hidden" name="type" value="monostable" />
			
			<img src="images/555-Monostable.jpg" border="0" align="right"/>
			<table class="left">
			<tr>
				<th>Pulse Length, in Seconds</th>
				<td>
					<input type="text" name="Period" id="Period" size="20" maxlength="8" onkeyup="checkEnableMono();" value="<?php if ( isset($_POST["Period"]) ) { echo $Period; } else { echo ''; } ?>" /> Seconds</td>
			</tr>
			<tr>
				<th>R<sub>A</sub> in Ohms</th>
				<td>
					<input type="text" name="R1" id="R1" size="20" maxlength="8" onkeyup="checkEnableMono();" value="<?php if ( isset($_POST["R1"]) ) { echo $R1; } else { echo ''; } ?>" /> Ohms</td>
			</tr>
			<tr>
				<th>C in &micro;F</th>
				<td>
					<input type="text" name="C" id="C" size="20" maxlength="8" onkeyup="checkEnableMono();" value="<?php if ( isset($_POST["C"]) ) { echo round($C,3); } else { echo ''; } ?>" /> &micro;F</td>
			</tr>			
			
			<tr>
				<td style="text-align:right">
					<input type="button" id="reset" tabindex="99" value="Reset" onclick="ClearAllMono();" />
				</td>
				<td><input type="submit" id="submitMono" value="Calculate" /> </td>
			</tr>
			</table>
			</form>
		</p>
			

		<h4>Astable, or Free-Running Multivibrator</h4>

		<p>
			Referring to the  <a href="http://www.ti.com/lit/ds/symlink/lm555.pdf" target="_blank">555 Datasheet</a>:
			<ul>
				<li>The charge time (output high) is given by: <i>t<sub>1</sub> = 0.693 (R<sub>A</sub> + R<sub>B</sub>) C</i></li>
				<li>The discharge time (output low) by: <i>t<sub>2</sub> = 0.693 (R<sub>B</sub>) C</i></li>
				<li>Thus the total period is: <i>T = t<sub>1</sub> + t<sub>2</sub> = 0.693 (R<sub>A</sub> + 2R<sub>B</sub>) C</i></li>
			</ul>
		</p>
		
		<p>
			
			Some Tips on chosing values for C, R<sub>A</sub>, and R<sub>B</sub> include:
			<ul>
				<li>Increasing C will increase the cycle time (or, reduce the frequency).</li>
				<li>Increasing R<sub>A</sub> will increase <b>Time High</b>, but will leave <b>Time Low</b> unaffected.</li>
				<li>Increasing R<sub>B</sub> will increase <b>Time High</b>, increase <b>Time Low</b>, and decrease the duty cycle (down to a minimum of 50%)</li>
			</ul>
		</p>
			
			<img src="images/555-Astable.jpg" border="0" align="right"/>

			<form name="calcAstable" action="/hamcalc/555calculator.php" method="post" onsubmit="return validateAstable()">
			<input type="hidden" name="type" value="astable" />
			
			<table>
			<tr>
				<th>C in &micro;F</th>
				<td>
					<input type="text" name="CA" id="CA" size="10" maxlength="8" onkeyup="checkEnableAstable();" value="<?php if ( isset($_POST["CA"]) ) { echo round($CA,3); } else { echo ''; } ?>" /> &micro;F
				</td>
			</tr>
			<tr>
				<th>R<sub>A</sub> in K Ohms</th>
				<td>
					<input type="text" name="RA" id="RA" size="10" maxlength="8" onkeyup="checkEnableAstable();" value="<?php if ( isset($_POST["RA"]) ) { echo $RA; } else { echo ''; } ?>" /> K Ohms</td>
				</td>
			</tr>
			<tr>
				<th>R<sub>B</sub> in K Ohms</th>
				<td>
					<input type="text" name="RB" id="RB" size="10" maxlength="8" onkeyup="checkEnableAstable();" value="<?php if ( isset($_POST["RB"]) ) { echo $RB; } else { echo ''; } ?>" /> K Ohms</td>
				</td>
			</tr>
			<tr>
				<td style="text-align:right">
					<input type="button" id="reset" tabindex="99" value="Reset" onclick="ClearAllAstable();" />
				</td>
				<td><input type="submit" id="submitAstable" value="Calculate" /> </td>
			</tr>
			</table>
			</form>
			
			<?php 
				if ( isset($_POST['type']) ) {
					if ( $_POST['type'] == 'astable' ) {
						echo "Time High = " . round($TH * 1000, 4) . " milliseconds<br />";
						echo "Time Low = " . round($TL * 1000, 4)  . " milliseconds<br />";
						echo "Duty Cycle = " . round($PH, 1) . " %<br />";				
						echo "Cycle Time (T)= " . round($T * 1000, 4) . " milliseconds<br />";
						echo "Frequency (f) in Hertz = " . round($freq, 3) . " Hz.<br />";
					}
				}
			?>
		</p>

		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>