
<script language="javascript" type="text/javascript">

function Calculate() {

	var Precision = 4;
	
	var Peak = Number(document.getElementById("Peak").value);
	var PeakToPeak = Number(document.getElementById("PeakToPeak").value);
	var RMS = Number(document.getElementById("RMS").value);
	var Average = Number(document.getElementById("Average").value);
	
	//Mean voltage over one cycle = Area Under the Voltage Curve/time for one cycle
	// = 4 / 2 PI
	var AverageConst = 4 / (2 * Math.PI);
	
	if (Peak != 0 ) {
		PeakToPeak = Peak * 2;
		RMS = Peak / Math.sqrt(2);
		Average = AverageConst * Peak;
	} 
	else if(Peak == 0 && PeakToPeak != 0) {
		Peak = PeakToPeak / 2;
		RMS = Peak / Math.sqrt(2);
		Average = AverageConst * Peak;
	} 
	else if(Peak == 0 && PeakToPeak == 0 && RMS != 0) {
		Peak = RMS * Math.sqrt(2);
		PeakToPeak = Peak * 2;
		Average = AverageConst * Peak;
	} 
	else if(Peak == 0 && PeakToPeak == 0 && RMS == 0 && Average != 0) {
		Peak = Average / AverageConst;
		PeakToPeak = Peak * 2;
		RMS = Peak / Math.sqrt(2);
	} 
	else {
		alert("Please enter at least 1 of the 4 Voltages.");
		return false;
	}
	
	document.getElementById("Peak").value       = Peak.toPrecision(Precision);
	document.getElementById("PeakToPeak").value = PeakToPeak.toPrecision(Precision);
	document.getElementById("RMS").value        = RMS.toPrecision(Precision);
	document.getElementById("Average").value    = Average.toPrecision(Precision);
}

function clearExcept( field ) {
	if ( field.name != 'Average' ) {
		document.getElementById('Average').value='';
	}
	if ( field.name != 'RMS' ) {
		document.getElementById('RMS').value='';
	}
	if ( field.name != 'Peak' ) {
		document.getElementById('Peak').value='';
	}
	if ( field.name != 'PeakToPeak' ) {
		document.getElementById('PeakToPeak').value='';
	}
}
</script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Peak, Peak-to-Peak, RMS & Average AC Voltages</title>
  
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body>
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Peak, Peak-to-Peak, RMS & Average AC Voltages</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Peak, Peak-to-Peak, RMS &amp; Average AC Voltages</h1>


			<h4>AC Voltages</h4>
		
			<h5>Provide any one known value and the others will be calculated.</h5>

      <form method="post">
      <table border="1" width="100%">
        <tr>
          <td>Peak:</td>
          <td><input type="text" name="Peak" id="Peak" size="20" onKeyUp="clearExcept(this);"></td>
        </tr>

        <tr>
          <td>Peak-to-Peak:</td>
          <td><input type="text" name="PeakToPeak" id="PeakToPeak" size="20" onKeyUp="clearExcept(this);"></td>
        </tr>
        <tr>
          <td>RMS (Root-Mean Square):</td>
          <td><input type="text" name="RMS" id="RMS" size="20" onKeyUp="clearExcept(this);"></td>
        </tr>
        <tr>
          <td>Average:</td>
          <td><input type="text" name="Average" id="Average" size="20" onKeyUp="clearExcept(this);"></td>
        </tr>
        <tr>
			<td>
            	<input type="Reset" value="Reset" name="Reset" />
			</td>
			<td>
            	<input type="button" value="Calculate" name="B1" onClick="Calculate()" />
			</td>
        </tr>
      </table>
		</form>


		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>