<?php 

	$Vref = 1.25;		// Datasheet: Typical value (LM317A and LM317 Electrical Characteristics)
	$Iadj = .000050;	// Datasheet: Typical value (LM317A and LM317 Electrical Characteristics)
	if ( isset($_GET["R1R2"]) ) {
		$R1 = $_GET["R1"];
		$R2 = $_GET["R2"];
		$Vout = $Vref * (1.0 + ($R2 / $R1)) + $Iadj * $R2;
		//$Vout = round( $l, 1 );
	}

	if ( isset($_GET["VoutR1"]) ) {
		$Vout = floatval( $_GET["Vout"] );
		$R1 = floatval( $_GET["R1"] );
		$R2 = $R1 * (($Vout / $Vref) - 1.0);
	}

	if ( isset($_GET["Vin"]) ) {
		$Vin = floatval( $_GET["Vin"] );
		$Vout = floatval( $_GET["Vout"] );
		$Il = floatval( $_GET["Il"] );
		$Pd = ($Vin - $Vout) * $Il + $Vin * $Iadj;
	}

?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Find Resistors for an LM317</title>
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body>
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Find Resistors for an LM317 Voltage Regulator</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Find Resistors for an LM317</h1>

		<a href="http://www.national.com/mpf/LM/LM317.html" target="_blank"><img src="/schematics/LM317-117.jpg" /></a>
		<p class="caption">LM317 (LM117-series), the ubiquitous 3-Terminal, Adjustable Voltage Regulator</p>

		<h4>Choose Two Resistors and Find the Output Voltage</h4>

		<p>
			Referring to <a href="http://www.national.com/an/AN/AN-181.pdf" target="_blank">Application Note 181</a>  
			and the <a href="http://www.national.com/ds/LM/LM117.pdf" target="_blank">LM317 Datasheet</a>:
			<ul>
				<li>V<sub>OUT</sub> may be from 1.2V to 37V at 1.5 A</li>
				<li>V<sub>REF</sub> is a typical value of around 1.25 V</li>
				<li>I<sub>ADJ</sub> is a typical value of around 50 &micro;A</li>
			<ul>
			
			<blockquote>
				<i>V<sub>OUT</sub> = V<sub>REF</sub>(1 + R2 / R1) + I<sub>ADJ</sub> * R2</i>
			</blockquote>

			<form name="calcInductor" action="/hamcalc/LM317resistors.php" method="get">
			<input type="hidden" name="R1R2" value="R1R2" />
			<?php
			
			$R2range = Array( 10, 11, 12, 13, 14, 15, 16, 18,
							  20, 22, 24, 27, 30, 33, 36, 39, 43,
							  47, 51, 56, 62, 68, 75, 82, 91, 100,
							  110, 120, 130, 150, 160, 180, 200, 220, 240,
							  270, 300, 330, 360, 390, 430, 470, 510, 560,
							  620, 680, 750, 820, 910, 1000, 1100, 1200, 1300,
							  1500, 1600, 1800, 2200, 2400, 2700, 300, 3300,
							  3600, 3900, 4300, 4700, 5100, 5600, 6200, 6800, 7500, 
							  8200, 9100, 10000, 11000, 12000, 13000, 15000, 16000, 18000,
							  20000, 22000, 24000, 27000, 30000, 33000, 36000, 39000, 43000,
							  47000, 51000, 56000, 62000, 68000, 75000, 82000, 91000 
							);
			?>
			
			<table>
			<tr>
				<th>R1 (typical range 120Ω and 240Ω) </th>
				<td>
					<select name="R1" >
					<option value="120" <?php if ( $R1 == 120 ) { echo 'selected="selected"'; } ?> >120</option>
					<option value="130" <?php if ( $R1 == 130 ) { echo 'selected="selected"'; } ?> >130</option>
					<option value="150" <?php if ( $R1 == 150 ) { echo 'selected="selected"'; } ?> >150</option>
					<option value="160" <?php if ( $R1 == 160 ) { echo 'selected="selected"'; } ?> >160</option>
					<option value="180" <?php if ( $R1 == 180 ) { echo 'selected="selected"'; } ?> >180</option>
					<option value="200" <?php if ( $R1 == 200 ) { echo 'selected="selected"'; } ?> >200</option>
					<option value="220" <?php if ( $R1 == 220 ) { echo 'selected="selected"'; } ?> >220</option>
					<option value="240" <?php if ( $R1 == 240 ) { echo 'selected="selected"'; } ?> >240</option>
					<option value="270"  <?php if ( $R1 == 270 ) { echo 'selected="selected"'; } ?> 
										 <?php if ( !isset($_GET["R1"])) { echo 'selected="selected"'; } ?>  >270</option>
					</select>
				</td>
			</tr>
			<tr>
				<th>R2</th>
				<td>
					<select name="R2" >
					<?php
					foreach ($R2range as $R2item) {
						?>
						<option value="<?php echo $R2item; ?>" <?php if ( $R2 == $R2item) { echo 'selected="selected"'; } ?> ><?php echo  $R2item; ?></option>
						<?php
					}						
					?>
					</select>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td><td><input type="submit" value="Calculate" /> </td>
			</tr>
			<tr><th>Output Voltage</th><td>V<sub>out</sub> = <?php if ( isset($_GET["R1R2"]) ) { echo $Vout . " V"; } ?> </td></tr>
			</table>
			</form>
		</p>
			
			<h4>Choose an Output Voltage and R1, and Find R2</h4>

			<p>Similarly, the equation (1) in the <a href="http://www.national.com/ds/LM/LM117.pdf" target="_blank">LM317 Datasheet</a> can be solved for R2, allowing us to select an output value and a sample R1 and solve for R2. For this, we use a slightly less precise version of the equation, expressing only the radio of R2 to R1 and the Reference Voltage (see: <a href="http://www.national.com/kbase/category/Power.html" target="_blank">Answers/FAQs</a>).

			<blockquote>
				<i>V<sub>OUT</sub> = V<sub>REF</sub>(1 + R2 / R1)</i>, Or solving for <i>R2 = R1 * (V<sub>OUT</sub> / V<sub>REF</sub> - 1)</i>
			</blockquote>
			
			The 50 µA biasing current is small compared to 5 mA and causes only a small error in actual output voltages.
			
			<form name="calcR2" action="/hamcalc/LM317resistors.php" method="get">
			<input type="hidden" name="VoutR1" value="VoutR1" />
			<table >
			<tr>
				<th>V<sub>out</sub></th>
				<td><input type="text" size="10" maxlength="10" name="Vout" value="<?php if ( isset($_GET["Vout"]) ) { echo $Vout; } else { echo '13.75'; } ?>" /></td>
			</tr>
			<tr>
				<th>R1 (typical range 120Ω and 270Ω) </th>
				<td>
					<select name="R1">
					<option value="120" <?php if ( $R1 == 120 ) { echo 'selected="selected"'; } ?> >120</option>
					<option value="130" <?php if ( $R1 == 130 ) { echo 'selected="selected"'; } ?> >130</option>
					<option value="150" <?php if ( $R1 == 150 ) { echo 'selected="selected"'; } ?> >150</option>
					<option value="160" <?php if ( $R1 == 160 ) { echo 'selected="selected"'; } ?> >160</option>
					<option value="180" <?php if ( $R1 == 180 ) { echo 'selected="selected"'; } ?> >180</option>
					<option value="200" <?php if ( $R1 == 200 ) { echo 'selected="selected"'; } ?> >200</option>
					<option value="220" <?php if ( $R1 == 220 ) { echo 'selected="selected"'; } ?> >220</option>
					<option value="240" <?php if ( $R1 == 240 ) { echo 'selected="selected"'; } ?> >240</option>
					<option value="270"  <?php if ( $R1 == 270 ) { echo 'selected="selected"'; } ?> 
										 <?php if ( !isset($_GET["R1"])) { echo 'selected="selected"'; } ?>  >270</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td><td><input type="submit" value="Calculate" /> </td>
			</tr>
			<tr><th>R2</th><td>R2 = <?php if ( isset($_GET["VoutR1"]) ) { echo $R2 . " Ω"; } ?> </td></tr>
			</table>
			</form>
			</p>
						

			<h4>Heat Dissipation Calculation for LM317</h4>

			<p>
				Equation (3) in the <a href="http://www.national.com/ds/LM/LM117.pdf" target="_blank">LM317 Datasheet</a> 
				can estimate the heat dissipation. I<sub>L</sub> is the load current. I<sub>G</sub> is the current consumed by the LM317, measured at the Adjustment Pin. The datasheet shows 'Adjustment Pin Current' to be a typical value of 50µA.				

				<blockquote>
					<i>P<sub>D</sub> = ((V<sub>IN</sub> − V<sub>OUT</sub>) × I<sub>L</sub>) + (V<sub>IN</sub> × I<sub>G</sub>)</i>
				</blockquote>
			
			<form name="calcPD" action="/hamcalc/LM317resistors.php" method="get">
			<table >
			<tr>
				<th>V<sub>IN</sub></th>
				<td><input type="text" size="10" maxlength="10" name="Vin" value="<?php if ( isset($_GET["Vin"]) ) { echo $Vin; } else { echo '19.5'; } ?>" /> V</td>
			</tr>
			<tr>
				<th>V<sub>OUT</sub></th>
				<td><input type="text" size="10" maxlength="10" name="Vout" value="<?php if ( isset($_GET["Vout"]) ) { echo $Vout; } else { echo '13.8'; } ?>" /> V</td>
			</tr>
			<tr>
				<th>I<sub>L</sub></th>
				<td><input type="text" size="10" maxlength="10" name="Il" value="<?php if ( isset($_GET["Il"]) ) { echo $Il; } else { echo '1.5'; } ?>" /> A</td>
			</tr>
			<tr>
				<td>&nbsp;</td><td><input type="submit" value="Calculate" /> </td>
			</tr>
			<tr><th>P<sub>D</sub></th><td>P<sub>D</sub> = <?php if ( isset($_GET["Vin"]) ) { echo $Pd . " Watt"; if ($Pd != 1) { echo "s"; } } ?> </td></tr>
			</table>
			</form>
			</p>
			
			<p>For more technical data, see: National Semiconductor, <a href="http://www.national.com/mpf/LM/LM317.html" target="_blank">LM317 - 3-Terminal Adjustable Regulator</a></p>


		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>