


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Making Capacitors from Coaxial Cable</title>
  
	<script language="javascript" type="text/javascript">
		function trim(stringToTrim) {
			return stringToTrim.replace(/^\s+|\s+$/g,"");
		}
		function ltrim(stringToTrim) {
			return stringToTrim.replace(/^\s+/,"");
		}
		function rtrim(stringToTrim) {
			return stringToTrim.replace(/\s+$/,"");
		}	
	
		function isNumeric( value ) {
			if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
				return false;
			}
			return true;
		}
	
		function onLoad() {
			document.getElementById('submit').disabled = true;
			document.getElementById('capacitance').focus();
		}
		
		function clearAll() {
			document.getElementById('capacitance').value = '';
			document.getElementById('units').value = 'metric';
			document.getElementById('submit').disabled = true;
			document.getElementById('capacitance').focus();
		}
		
		function checkEnable() {
			var capacitance = document.getElementById('capacitance').value;
			capacitance = trim(capacitance);
			document.getElementById('capacitance').value = capacitance;
			if ( capacitance.length > 0 ) {
				 document.getElementById('submit').disabled = false;
			} 
			else {
				 document.getElementById('submit').disabled = true;
			}
		}
		
		function validateForm() {
			var capacitance = document.getElementById('capacitance');
			if ( !isNumeric( capacitance.value ) ) {
				alert( "A Non-Numeric value was entered for Capacitance: " + capacitance.value );
				capacitance.focus();
				return false;
			}
			return true;
		}
	</script>  
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Capacitors from Coaxial Cable</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Making Capacitors from Coaxial Cable</h1>


			<h4>Capacitor Value</h4>
			
			<p>
				Precision capacitors from about 1 pF upwards may be made from short lengths of coaxial cable, 
				with the inner conductor being one capacitor plate and the outer shield being the other.
			</p>
		
			<h5>Provide the desired capacitance, in picoFarads (pF) that will be calculated.</h5>

		<form action="capacitors_from_coax.php" method="post" onsubmit="return validateForm()" >
		<table border="1" width="100%">
		<tr>
			<td>Capacitance:</td>
			<td><input type="text" name="capacitance" id="capacitance" size="20" maxlength="6" onkeyup="checkEnable();"  <?php if (isset($_POST["capacitance"])) { echo "value='" . $_POST["capacitance"] . "'"; } ?> > pF</td>
		</tr>
		<tr>
			<td>Units:</td>
			<td>
				<select name="units" id="units" onchange="checkEnable();">
				<option value="metric" <?php if ( isset($_POST["units"]) ) { if ( $_POST["units"] == 'metric' ) { echo 'selected="selected"'; } } else { echo 'selected="selected"';} ?>>Metric</option>
				<option value="imperial"  <?php if ( isset($_POST["units"]) ) { if ( $_POST["units"] == 'imperial' ) {echo 'selected="selected"'; }} ?>>USA/Imperial</option>
				</select>
			  </td>
		</tr>
		<tr>
			<td style="text-align:right;">
				<input type="button" id="reset" value="Reset" onclick="clearAll();" />
			</td>
			<td>
				<input type="submit" id="submit" value="Calculate" />
			</td>
		</tr>
		</table>
		</form>
		
<?php
	
	if ( isset($_POST["units"]) & isset($_POST["capacitance"]) ){
		include_once '../hamradiomag/db.php'; 
	
		dbconnect('ke5ema_toroids');

		// Setup our measurements...
		$units = $_POST["units"];

		switch ($units) {
		case 'metric':
			$unit_conversion = 2.539999E+01;
			$Measure = "millimeters";
			$nDigits = 1;						// Number of Decimal Digits 
			break;		
		
		case 'imperial':
			$unit_conversion = 1.0;
			$Measure = "inches";
			$nDigits = 3;						// Number of Decimal Digits 
			break;
		}
		
		$capacitance = $_POST["capacitance"];
		
		// Pull the Coax Data...		
		$sql = "SELECT * FROM CoaxData WHERE DialectricConstant > 0 ";
		$rs = mysql_query($sql) or die ("<p class=err>Error - Query failed: " . mysql_error() . "</p>");
		$nRows = mysql_num_rows($rs);

		echo "<table>";
		echo "<tr><th>Coax/Type</th><th>" . $Measure . "</th></tr>";
		while ( $row = mysql_fetch_array($rs) ) {
			$e = $row["DialectricConstant"];			// Dialectric Constant
			$z = $row["Z"];								// Characteristic Impedance (Z)
			$d = pow( 10.0, ($z * sqrt($e) / 138.0) );
			$c = 7.260000 * $e / log10($d);			// uF per foot
			
			$length = $capacitance * 12.0 * $unit_conversion / $c;
			$length = round($length, $nDigits);
			echo "<tr><td>" . $row["CoaxType"] . "</td><td>" . number_format( $length, $nDigits) . "</td></tr>"; 
		}
		echo "</table>";
		echo "<p>* Denotes a Foam Dialectric. </p>";
		
	}

?>
		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>