<script type="text/javascript" src="inductor.js"></script>
<script type="text/javascript">

    function FormCalc() {
      var p, d, shape_idx, L;

      p = parseFloat(document.getElementById('p').value);
      d = parseFloat(document.getElementById('d').value) / 1000.0;
      shape_idx = document.getElementById('coil_shape').selectedIndex;

	  L = RegLoopInd( p, d, shape_idx );
	      
      document.getElementById('L').value = toPrec(L * 1e06);
    }

</script>
<h1>One-turn loop inductance calculation</h1>
<p>The high-frequency inductance of single-turn loops of various shapes made of round wire can be estimated accurately with the simplified formulas found in <a href="#ref1"><tt>[1]</tt></a>; accuracy improves when the perimeter is large compared to the wire diameter and is claimed to be within 0.5 percent "for ordinary loop shapes".<br />
There is also another form available to compute <a href="ind2calc.html">the inductance of a <em>rectangular</em> loop</a>.</p>
<br />


<h2>INPUT DATA</h2>
<pre>
Loop perimeter, l : <input type="text" id="p" size="10" maxlength="10" value="31.4" onchange="FormCalc()" /> m

Wire diameter,  d : <input type="text" id="d" size="10" maxlength="10" value="5" onchange="FormCalc()" /> mm

Loop shape        : <select id="coil_shape" size="1" onchange="FormCalc()">
<option value="1">Circle</option>
<option value="2">Regular octagon</option>
<option value="3">Regular hexagon</option>

<option value="4">Regular pentagon</option>
<option value="5">Square</option>
<option value="6">Equilateral triangle</option>
<option value="7">Isosceles right-angled triangle</option>
</select>

<input type="button" value="Calculate" onclick="FormCalc()" />
</pre>

<h2>CALCULATED VALUES</h2>
<pre>
Inductance Value, L : <input id="L" value="" size="10" /> &#181;H

</pre>


<script type="text/javascript">
//<![CDATA[
      FormCalc()
//]]>
</script>
<hr />

<p>References:</p>
<table>
<tr>
<td valign="top"><a name="ref1" id="ref1"></a><tt>[1]</tt></td>
<td>F.E. Termane, "<strong>Radio Engineers' Handbook</strong>e1," Londone, McGraw-Hill, 1st ed., Sep. 1950.</td>
</tr>

</table>
