<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>

  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>LED Diode Series Resistor</title>
  
  <script language="javascript" type="text/javascript">
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g,"");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/,"");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/,"");
	}	
	function isNumeric( value ) {
		if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
			return false;
		}
		return true;
	}

	function onLoad() {
		document.getElementById('submit').disabled = true;
		document.getElementById('vi').focus();
	}
	
  	function clearAll() {
		document.getElementById('vi').value = "";
		document.getElementById('vd').value = "";
		document.getElementById('io').value = "";
		document.getElementById('submit').disabled = true;
		document.getElementById('vi').focus();
	}
	
	function validateForm() {
		var vi = document.getElementById('vi');
		var vd = document.getElementById('vd');
		var io = document.getElementById('io');
		if ( !isNumeric( vi.value ) ) {
			alert( "A Non-Numeric value was entered for Supply Voltage: " + vi.value );
			vi.focus();
			return false;
		}
		if ( !isNumeric( vd.value ) ) {
			alert( "A Non-Numeric value was entered for LED Voltage Drop: " + vd.value );
			vd.focus();
			return false;
		}
		if ( !isNumeric( io.value ) ) {
			alert( "A Non-Numeric value was entered for LED Max Current: " + io.value );
			io.focus();
			return false;
		}
		return true;
	}
	
	function checkEnable() {
		var vi = trim(document.getElementById('vi').value);
		var vd = trim(document.getElementById('vd').value);
		var io = trim(document.getElementById('io').value);
		
		document.getElementById('vi').value = vi;
		document.getElementById('vd').value = vd;
		document.getElementById('io').value = io;
		
		if ( vi.length > 0 &
			 vd.length > 0 &
			 io.length > 0 ) {
			 document.getElementById('submit').disabled = false;
		} 
		else {
			 document.getElementById('submit').disabled = true;
		}
	}
	
  </script>
  
</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">
  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>LED Series Resistor</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">LED Series Resistor</h1>

			<h4>Calculate a Value for a Current-Limiting Resistor for a LED</h4>
			
			<p>
				<img src="images/LED_series_resistor.png" width="200px" />
				The formula to calculate the correct resistance to use is:<br /><br />
				

					R = (V<sub>Supply</sub> - V<sub>LED Voltage Drop</sub>) / I<sub>LED</sub>

			</p>
	
			<form action="led_series_resistor.php" method="post" onsubmit="return validateForm()" >
			<table border="1" width="100%">
	
			<tr>
				<td>Supply Voltage:</td>
				<td><input type="text" name="vi" id="vi" size="20" maxlength="6" onkeyup="checkEnable();" <?php if (isset($_POST["vi"])) { echo "value='" . $_POST["vi"] . "'"; } ?> > volts</td>
			</tr>
			
			<tr>
				<td>LED Voltage Drop:</td>
				<td><input type="text" name="vd" id="vd" size="20" maxlength="6" onkeyup="checkEnable();" <?php if (isset($_POST["vd"])) { echo "value='" . $_POST["vd"] . "'"; } ?> > volts</td>
			</tr>
	
			<tr>
				<td>LED Current (max):</td>
				<td><input type="text" name="io" id="io" size="20" maxlength="6"  onkeyup="checkEnable();" <?php if (isset($_POST["io"])) { echo "value='" . $_POST["io"] . "'"; } ?> > milliamps</td>
			</tr>
			
			<tr>
				<td style="text-align:right">
					<input type="button" id="reset" tabindex="99" value="Reset" onclick="clearAll();" />
				</td>
				<td>
					<input type="submit" id="submit" tabindex="98" value="Calculate" />
				</td>
			</tr>
			</table>
			</form>
			
<?php
	
	if ( isset($_POST["vi"]) & 
		 isset($_POST["vd"]) & 
		 isset($_POST["io"]) ){
		 
		$vi = $_POST["vi"];
		$vd = $_POST["vd"];
		$io = $_POST["io"] / 1000.0;

		$Rv = ($vi - $vd);
		$Rmax = ($vi - $vd) / $io;					// V = I * R --> R = V / I
		$Rlow = ($vi - $vd) / ($io / 2.0);			// V = I * R --> R = V / I
		$Pmax = $Rv * $io;
		$Plow = $Rv * $io / 2.0;
		
		$R = $io * ($vi - $vd);		// Power = V * I
		
		echo "<p>Voltage drop across the Resistor is: " . round($Rv, 1) . " " . " volts.</p>";
		
		echo "<p>Recommended Series Resistor at max LED current is: " . $Rmax . " ohms, at " . $Pmax . " watts.</p>";
		echo "<p>Recommended Series Resistor at 1/2 LED current is: " . $Rlow . " ohms, at " . $Plow . " watts.</p>";
	}
?>
		</div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>