<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">

<!--  Version: Multiflex-3 Update-1 / Layout-1             -->
<!--  Date:    November 27, 2006                           -->
<!--  Author:  G. Wolfgang                                 -->
<!--  License: Fully open source without restrictions.     -->
<!--           Please keep footer credits with a link to   -->
<!--           G. Wolfgang (www.1-2-3-4.info). Thank you!  -->

<head>
  <?php include_once "../includes/meta.html"; ?>
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_setup.css" />
  <link rel="stylesheet" type="text/css" media="screen,projection,print" href="/css/layout1_text.css" />
  <link rel="icon" type="image/x-icon" href="/img/favicon.ico" />
  <title>Resistive Voltage Divider</title>
  
<script language="javascript" type="text/javascript">
	function trim(stringToTrim) {
		return stringToTrim.replace(/^\s+|\s+$/g,"");
	}
	function ltrim(stringToTrim) {
		return stringToTrim.replace(/^\s+/,"");
	}
	function rtrim(stringToTrim) {
		return stringToTrim.replace(/\s+$/,"");
	}	
	function isNumeric( value ) {
		if (value != null && !value.toString().match(/^[-]?\d*\.?\d*$/)) {
			return false;
		}
		return true;
	}

	
	function getValues() {
		if (isNaN(document.getElementById("ivolt").value)) {
			alert ("Enter number for Input Voltage.");
			document.getElementById("ivolt").focus();
			document.getElementById("ivolt").select();
			return false;
		}
		if (isNaN(document.getElementById("r1").value)) {
			alert ("Enter number for R1.");
			document.getElementById("r1").focus();
			document.getElementById("r1").select();
			return false;
		}
		if (isNaN(document.getElementById("r2").value)) {
			alert ("Enter number for R2.");
			document.getElementById("r2").focus();
			document.getElementById("r2").select();
			return false;
		}
		if (isNaN(document.getElementById("ovolt").value)) {
			alert ("Enter number for Output Voltage.");
			document.getElementById("ovolt").focus();
			document.getElementById("ovolt").select();
			return false;
		}
		
		I = parseFloat(document.getElementById("ivolt").value);
		R1 = parseFloat(document.getElementById("r1").value);
		R2 = parseFloat(document.getElementById("r2").value); 
		O = parseFloat(document.getElementById("ovolt").value);
		
		if (document.getElementById("ivolt").value == "" && 
			document.getElementById("r1").value !="" && 
			document.getElementById("r2").value!="" && 
			document.getElementById("ovolt").value!="") {
			I = O * (R1 + R2) / R2;
			document.getElementById("ivolt").value = Math.round(I * 1e3) / 1e3;
			document.getElementById("submit").disabled = true;
			return false;
		}
		if (document.getElementById("r1").value == "" && 
			document.getElementById("r2").value !="" && 
			document.getElementById("ivolt").value!="" && 
			document.getElementById("ovolt").value!="") {
			R1 = (I * R2 / O) - R2;
			document.getElementById("r1").value = Math.round(R1 * 100) / 100;
			document.getElementById("submit").disabled = true;
			return false
		}
	
		if (document.getElementById("r2").value == "" && 
			document.getElementById("r1").value !="" && 
			document.getElementById("ivolt").value!="" && 
			document.getElementById("ovolt").value!="") {
			R2 = O * R1 / (I - O);
			document.getElementById("r2").value = Math.round(R2 * 100) / 100;
			document.getElementById("submit").disabled = true;
			return false;
		}
		if (document.getElementById("ovolt").value == "" && document.getElementById("ivolt").value !="" && document.getElementById("r1").value!="" && document.getElementById("r2").value!="") {
			O = I * R2 / (R1 + R2);
			document.getElementById("ovolt").value = Math.round(O * 1e3) / 1e3;
			document.getElementById("submit").disabled = true;
			return false;
		}
	}		
	
	function onLoad() {
		document.getElementById('submit').disabled = true;
		document.getElementById('ivolt').focus();
	}
	
	function clearAll() {
		document.getElementById("ivolt").value = "";
		document.getElementById("r1").value = "";
		document.getElementById("r2").value = "";
		document.getElementById("ovolt").value = "";
		document.getElementById("ivolt").focus();
		document.getElementById("submit").disabled = true;
	}
	
	function checkEnable() {
		var ivolt = trim(document.getElementById('ivolt').value);
		var r1 = trim(document.getElementById('r1').value);
		var r2 = trim(document.getElementById('r2').value);
		var ovolt = trim(document.getElementById('ovolt').value);
		
		document.getElementById('ivolt').value = ivolt;
		document.getElementById('r1').value = r1;
		document.getElementById('r2').value = r2;
		document.getElementById('ovolt').value = ovolt;
		
		if ( (ivolt.length > 0 & r1.length > 0 & r2.length > 0 |
			 ovolt.length > 0 & r1.length > 0 & r2.length > 0 |
			 ivolt.length > 0 & r1.length > 0 & ovolt.length > 0 |
 			 ivolt.length > 0 & r2.length > 0 & ovolt.length > 0) &
			 !( ivolt.length > 0 & r1.length > 0 & r2.length > 0 & ovolt.length > 0)
		   ) {
			 document.getElementById('submit').disabled = false;
		} 
		else {
			 document.getElementById('submit').disabled = true;
		}
	}

</script>

</head>

<!-- Global IE fix to avoid layout crash when single word size wider than column width -->
<!--[if IE]><style type="text/css"> body {word-wrap: break-word;}</style><![endif]-->

<body onload="onLoad();">

  <!-- Main Page Container -->
  <div class="page-container">

   <!-- For alternative headers START PASTE here -->

    <!-- A. HEADER -->      
    <div class="header">
      
      <!-- A.1 HEADER TOP -->
	  <?php include '../includes/HeaderTop.incl.html'; ?>
      
      <!-- A.2 HEADER BOTTOM -->
	  <?php include '../includes/HeaderBottom.incl.html'; ?>

      <!-- A.3 HEADER BREADCRUMBS -->

      <!-- Breadcrumbs -->
      <div class="header-breadcrumbs">
        <ul>
          <li><a href="/index.php">Home</a></li>
          <li>Resistive Voltage Divider</li>
        </ul>

        <!-- Search form -->                  
		<?php include '../includes/SearchForm.incl.php'; ?>
      </div>
    </div>
   <!-- For alternative headers END PASTE here -->

    <!-- B. MAIN -->
    <div class="main">
  
      <!-- B.1 MAIN CONTENT -->
      <div class="main-content">
        
        <!-- Pagetitle -->
        <h1 class="pagetitle">Voltage Divider Calculator</h1>

			<h4>Choose Three Values and Find the Fourth Value</h4>

			<img border="0" src="/images/resistive_divider.png" width="178" height="168" align="right">
			<p class="caption">A Basic, Resistive Voltage Divider</p>
			
			<p>
				<ul>
					<li>To find Input Voltage - provide R1, R2 and Output Voltage.</li>
					<li>To find R1 - supply Input Voltage, R2 and Output Voltage.</li>
					<li>To find R2 - supply Input Voltage, R1, and Output Voltage.</li>
					<li>To find Output Voltage - provide Input Voltage, R1, and R2.</li>
				</ul>
		
			
				<table style="width:425px">
				<tr>
					<th>Input Voltage</th>
					<td><input type="text" name="I" id="ivolt" size="13" tabindex="1" onkeyup="checkEnable();"> V</td>
				</tr>
				<tr>
					<th>R1</th>
					<td><input type="text" name="R1" id="r1" size="13" tabindex="2" onkeyup="checkEnable();"> &#8486;</td>
				</tr>
				<tr>
					<th>R2</th>
					<td><input type="text" name="R2" id="r2" size="13" tabindex="3" onkeyup="checkEnable();"> &#8486;</td>
				</tr>
				<tr>
					<th>Output Voltage</th>
					<td><input type="text" name="ovolt" id="ovolt" size="13" tabindex="4" onkeyup="checkEnable();"> V</td>
				</tr>
				<tr>
					<td style="text-align:right"><input type="button" id="reset" value=" Clear All " onclick="clearAll()" tabindex="6" style="width:100px"></td>
					<td>
						<input type="button" id="submit" value=" Calculate " onclick="getValues()" tabindex="5" name="Calculate" style="width:100px">
					</td>
				</tr>
				</table>
			</p>
 
      </div>
    </div>
      
    <!-- C. FOOTER AREA -->      
	<?php include '../includes/Footer.incl.html'; ?>
	
  </div> 
  
</body>
</html>